regina::NIsomorphismDirect Class Reference
Triangulations

A deprecated synonym for NIsomorphism, provided for backward compatibility only. More...

`#include <triangulation/nisomorphism.h>`

Inheritance diagram for regina::NIsomorphismDirect:

## Public Member Functions

| NIsomorphismDirect (unsigned sourceTetrahedra)
| Creates a new isomorphism with no initialisation. More...
| NIsomorphismDirect (const NIsomorphism &cloneMe)
| Creates a new isomorphism identical to the given isomorphism. More...
Public Member Functions inherited from regina::NIsomorphism
| NIsomorphism (unsigned sourceTetrahedra)
| Creates a new isomorphism with no initialisation. More...
| NIsomorphism (const NIsomorphism &cloneMe)
| Creates a new isomorphism identical to the given isomorphism. More...
unsigned | getSourceTetrahedra () const
| Returns the number of tetrahedra in the source triangulation associated with this isomorphism. More...
int & | tetImage (unsigned sourceTet)
| Determines the image of the given source tetrahedron under this isomorphism. More...
int | tetImage (unsigned sourceTet) const
| Determines the image of the given source tetrahedron under this isomorphism. More...
NPerm4 & | facePerm (unsigned sourceTet)
| Returns a read-write reference to the permutation that is applied to the four faces of the given source tetrahedron under this isomorphism. More...
NPerm4 | facePerm (unsigned sourceTet) const
| Determines the permutation that is applied to the four faces of the given source tetrahedron under this isomorphism. More...
Public Member Functions inherited from regina::NGenericIsomorphism< 3 >
| NGenericIsomorphism (unsigned nSimplices)
| Creates a new isomorphism with no initialisation. More...
| NGenericIsomorphism (const NGenericIsomorphism &cloneMe)
| Creates a new isomorphism identical to the given isomorphism. More...
| ~NGenericIsomorphism ()
| Destroys this isomorphism. More...
unsigned | getSourceSimplices () const
| Returns the number of simplices in the source triangulation associated with this isomorphism. More...
int & | simpImage (unsigned sourceSimp)
| Determines the image of the given source simplex under this isomorphism. More...
int | simpImage (unsigned sourceSimp) const
| Determines the image of the given source simplex under this isomorphism. More...
Perm & | facetPerm (unsigned sourceSimp)
| Returns a read-write reference to the permutation that is applied to the (dim + 1) facets of the given source simplex under this isomorphism. More...
Perm | facetPerm (unsigned sourceSimp) const
| Determines the permutation that is applied to the (dim + 1) facets of the given source simplex under this isomorphism. More...
NFacetSpec< dim > | operator[] (const NFacetSpec< dim > &source) const
| Determines the image of the given source simplex facet under this isomorphism. More...
bool | isIdentity () const
| Determines whether or not this is an identity isomorphism. More...
Triangulation * | apply (const Triangulation *original) const
| This NGenericIsomorphism object represents a combinatorial identification from a triangulation T to a triangulation U. More...
void | applyInPlace (Triangulation *tri) const
| Applies this isomorphism to the given triangulation, modifying the given triangulation directly. More...
void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Additional Inherited Members

Public Types inherited from regina::NGenericIsomorphism< 3 >
typedef DimTraits< dim > ::Isomorphism | Isomorphism
| The isomorphism class used by triangulations of this specific dimension. More...
typedef DimTraits< dim >::Perm | Perm
| The permutation class used to glue together facets of simplices when building triangulations in this dimension. More...
typedef DimTraits< dim >::Simplex | Simplex
| The class that represents a top-level simplex of a triangulation in this dimension. More...
typedef DimTraits< dim > ::Triangulation | Triangulation
| The triangulation class specific to this dimension. More...
Static Public Member Functions inherited from regina::NGenericIsomorphism< 3 >
static Isomorphism * | random (unsigned nSimplices)
| Returns a random isomorphism for the given number of simplices. More...
Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...
Protected Attributes inherited from regina::NGenericIsomorphism< 3 >
unsigned | nSimplices_
| The number of simplices in the source triangulation. More...
int * | simpImage_
| The simplex of the destination triangulation that each simplex of the source triangulation maps to. More...
Perm * | facetPerm_
| The permutation applied to the facets of each source simplex. More...

## Detailed Description

A deprecated synonym for NIsomorphism, provided for backward compatibility only.

See NIsomorphism for further details (and please use the NIsomorphism class instead).

Deprecated:
  All of the functionality that NIsomorphismDirect used to provide in old versions of Regina has now been moved into the parent class NIsomorphism. The NIsomorphismDirect class is now an empty subclass of NIsomorphism, provided for backward compatibility only, and should not be used in new applications. This class will be removed from Regina in the near future.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NIsomorphismDirect::NIsomorphismDirect | ( | unsigned | sourceTetrahedra | ) |

inline

Creates a new isomorphism with no initialisation.

Parameters

  sourceTetrahedra | the number of tetrahedra in the source triangulation associated with this isomorphism; this may be zero.

regina::NIsomorphismDirect::NIsomorphismDirect | ( | const NIsomorphism & | cloneMe | ) |

inline

Creates a new isomorphism identical to the given isomorphism.

Parameters

  cloneMe | the isomorphism upon which to base the new isomorphism.

The documentation for this class was generated from the following file:

- triangulation/nisomorphism.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).